from pydantic import BaseModel

from .base import BaseResponseModel


class _GroupChatProfile(BaseModel):
    id: str
    name: str
    supervisor: str
    administrators: list[str]
    members: list[str]
    introduction: str
    noticeboard: list[dict]
    tags: list[str]
    avatar: str


class _MemberNameAvatar(BaseModel):
    remark: str
    nickname: str
    avatar: str


class GroupChatProfileResponse(BaseResponseModel):
    data: _GroupChatProfile | None = None


class MemberNameAvatarResponse(BaseResponseModel):
    data: _MemberNameAvatar


class FullProfileResponse(BaseResponseModel):
    groupChat: _GroupChatProfile
    memberNameAvatar: dict[str, _MemberNameAvatar]
